com.impinj.stp

## Class StpApi.CartonContentsReport.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsReport.Builder>
      - - com.impinj.stp.StpApi.CartonContentsReport.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.CartonContentsReportOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.CartonContentsReport

      public static final class StpApi.CartonContentsReport.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsReport.Builder>
      implements StpApi.CartonContentsReportOrBuilder

  Protobuf type `Impinj.STP.CartonContentsReport`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.CartonContentsReport.Builder` | `addAllCartonContentsError(java.lang.Iterable<? extends StpApi.CartonContentsError> values)`
    `StpApi.CartonContentsReport.Builder` | `addAllCartonContentsTag(java.lang.Iterable<? extends StpApi.CartonContentsTag> values)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsReport.Builder` | `addCartonContentsError(int index, StpApi.CartonContentsError.Builder builderForValue)`
    `StpApi.CartonContentsReport.Builder` | `addCartonContentsError(int index, StpApi.CartonContentsError value)`
    `StpApi.CartonContentsReport.Builder` | `addCartonContentsError(StpApi.CartonContentsError.Builder builderForValue)`
    `StpApi.CartonContentsReport.Builder` | `addCartonContentsError(StpApi.CartonContentsError value)`
    `StpApi.CartonContentsError.Builder` | `addCartonContentsErrorBuilder()`
    `StpApi.CartonContentsError.Builder` | `addCartonContentsErrorBuilder(int index)`
    `StpApi.CartonContentsReport.Builder` | `addCartonContentsTag(int index, StpApi.CartonContentsTag.Builder builderForValue)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsReport.Builder` | `addCartonContentsTag(int index, StpApi.CartonContentsTag value)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsReport.Builder` | `addCartonContentsTag(StpApi.CartonContentsTag.Builder builderForValue)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsReport.Builder` | `addCartonContentsTag(StpApi.CartonContentsTag value)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsTag.Builder` | `addCartonContentsTagBuilder()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsTag.Builder` | `addCartonContentsTagBuilder(int index)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsReport` | `build()`
    `StpApi.CartonContentsReport` | `buildPartial()`
    `StpApi.CartonContentsReport.Builder` | `clear()`
    `StpApi.CartonContentsReport.Builder` | `clearCartonContentsError()`
    `StpApi.CartonContentsReport.Builder` | `clearCartonContentsResult()`
    `StpApi.CartonContentsReport.Builder` | `clearCartonContentsTag()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsReport.Builder` | `clearCartonSize()` Detected carton size in millimeters
    `StpApi.CartonContentsReport.Builder` | `clearEnterTimestamp()` Timestamp of the start trigger
    `StpApi.CartonContentsReport.Builder` | `clearExitTimestamp()` Timestamp of the stop trigger
    `StpApi.CartonContentsReport.Builder` | `clearStartTimestamp()` DEPRECATED
    `StpApi.CartonContentsReport.Builder` | `clearStopTimestamp()` DEPRECATED
    `StpApi.CartonContentsReport.Builder` | `clone()`
    `StpApi.CartonContentsError` | `getCartonContentsError(int index)`
    `StpApi.CartonContentsError.Builder` | `getCartonContentsErrorBuilder(int index)`
    `java.util.List<StpApi.CartonContentsError.Builder>` | `getCartonContentsErrorBuilderList()`
    `int` | `getCartonContentsErrorCount()`
    `java.util.List<StpApi.CartonContentsError>` | `getCartonContentsErrorList()`
    `StpApi.CartonContentsErrorOrBuilder` | `getCartonContentsErrorOrBuilder(int index)`
    `java.util.List<? extends StpApi.CartonContentsErrorOrBuilder>` | `getCartonContentsErrorOrBuilderList()`
    `StpApi.CartonContentsResult` | `getCartonContentsResult()`
    `StpApi.CartonContentsTag` | `getCartonContentsTag(int index)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsTag.Builder` | `getCartonContentsTagBuilder(int index)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `java.util.List<StpApi.CartonContentsTag.Builder>` | `getCartonContentsTagBuilderList()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `int` | `getCartonContentsTagCount()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `java.util.List<StpApi.CartonContentsTag>` | `getCartonContentsTagList()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsTagOrBuilder` | `getCartonContentsTagOrBuilder(int index)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `java.util.List<? extends StpApi.CartonContentsTagOrBuilder>` | `getCartonContentsTagOrBuilderList()` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `int` | `getCartonSize()` Detected carton size in millimeters
    `StpApi.CartonContentsReport` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.Timestamp` | `getEnterTimestamp()` Timestamp of the start trigger
    `StpApi.Timestamp.Builder` | `getEnterTimestampBuilder()` Timestamp of the start trigger
    `StpApi.TimestampOrBuilder` | `getEnterTimestampOrBuilder()` Timestamp of the start trigger
    `StpApi.Timestamp` | `getExitTimestamp()` Timestamp of the stop trigger
    `StpApi.Timestamp.Builder` | `getExitTimestampBuilder()` Timestamp of the stop trigger
    `StpApi.TimestampOrBuilder` | `getExitTimestampOrBuilder()` Timestamp of the stop trigger
    `StpApi.Timestamp` | `getStartTimestamp()` DEPRECATED
    `StpApi.Timestamp.Builder` | `getStartTimestampBuilder()` DEPRECATED
    `StpApi.TimestampOrBuilder` | `getStartTimestampOrBuilder()` DEPRECATED
    `StpApi.Timestamp` | `getStopTimestamp()` DEPRECATED
    `StpApi.Timestamp.Builder` | `getStopTimestampBuilder()` DEPRECATED
    `StpApi.TimestampOrBuilder` | `getStopTimestampOrBuilder()` DEPRECATED
    `boolean` | `hasCartonContentsResult()`
    `boolean` | `hasCartonSize()` Detected carton size in millimeters
    `boolean` | `hasEnterTimestamp()` Timestamp of the start trigger
    `boolean` | `hasExitTimestamp()` Timestamp of the stop trigger
    `boolean` | `hasStartTimestamp()` DEPRECATED
    `boolean` | `hasStopTimestamp()` DEPRECATED
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.CartonContentsReport.Builder` | `mergeEnterTimestamp(StpApi.Timestamp value)` Timestamp of the start trigger
    `StpApi.CartonContentsReport.Builder` | `mergeExitTimestamp(StpApi.Timestamp value)` Timestamp of the stop trigger
    `StpApi.CartonContentsReport.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.CartonContentsReport.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.CartonContentsReport.Builder` | `mergeFrom(StpApi.CartonContentsReport other)`
    `StpApi.CartonContentsReport.Builder` | `mergeStartTimestamp(StpApi.Timestamp value)` DEPRECATED
    `StpApi.CartonContentsReport.Builder` | `mergeStopTimestamp(StpApi.Timestamp value)` DEPRECATED
    `StpApi.CartonContentsReport.Builder` | `removeCartonContentsError(int index)`
    `StpApi.CartonContentsReport.Builder` | `removeCartonContentsTag(int index)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsReport.Builder` | `setCartonContentsError(int index, StpApi.CartonContentsError.Builder builderForValue)`
    `StpApi.CartonContentsReport.Builder` | `setCartonContentsError(int index, StpApi.CartonContentsError value)`
    `StpApi.CartonContentsReport.Builder` | `setCartonContentsResult(StpApi.CartonContentsResult value)`
    `StpApi.CartonContentsReport.Builder` | `setCartonContentsTag(int index, StpApi.CartonContentsTag.Builder builderForValue)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsReport.Builder` | `setCartonContentsTag(int index, StpApi.CartonContentsTag value)` A list of all tags seen for the duration the carton was between the entry and exit sensors.
    `StpApi.CartonContentsReport.Builder` | `setCartonSize(int value)` Detected carton size in millimeters
    `StpApi.CartonContentsReport.Builder` | `setEnterTimestamp(StpApi.Timestamp.Builder builderForValue)` Timestamp of the start trigger
    `StpApi.CartonContentsReport.Builder` | `setEnterTimestamp(StpApi.Timestamp value)` Timestamp of the start trigger
    `StpApi.CartonContentsReport.Builder` | `setExitTimestamp(StpApi.Timestamp.Builder builderForValue)` Timestamp of the stop trigger
    `StpApi.CartonContentsReport.Builder` | `setExitTimestamp(StpApi.Timestamp value)` Timestamp of the stop trigger
    `StpApi.CartonContentsReport.Builder` | `setStartTimestamp(StpApi.Timestamp.Builder builderForValue)` DEPRECATED
    `StpApi.CartonContentsReport.Builder` | `setStartTimestamp(StpApi.Timestamp value)` DEPRECATED
    `StpApi.CartonContentsReport.Builder` | `setStopTimestamp(StpApi.Timestamp.Builder builderForValue)` DEPRECATED
    `StpApi.CartonContentsReport.Builder` | `setStopTimestamp(StpApi.Timestamp value)` DEPRECATED

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsReport.Builder>`

    - #### clear

          public StpApi.CartonContentsReport.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsReport.Builder>`

    - #### clone

          public StpApi.CartonContentsReport.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsReport.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsReport.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.CartonContentsReport getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.CartonContentsReport build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.CartonContentsReport buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.CartonContentsReport.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.CartonContentsReport.Builder>`

    - #### mergeFrom

          public StpApi.CartonContentsReport.Builder mergeFrom(StpApi.CartonContentsReport other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsReport.Builder>`

    - #### mergeFrom

          public StpApi.CartonContentsReport.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.CartonContentsReport.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasCartonContentsResult

          public boolean hasCartonContentsResult()

      Specified by:
        `hasCartonContentsResult` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsResult

          public StpApi.CartonContentsResult getCartonContentsResult()

      Specified by:
        `getCartonContentsResult` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### setCartonContentsResult

          public StpApi.CartonContentsReport.Builder setCartonContentsResult(StpApi.CartonContentsResult value)

    - #### clearCartonContentsResult

          public StpApi.CartonContentsReport.Builder clearCartonContentsResult()

    - #### hasEnterTimestamp

          public boolean hasEnterTimestamp()

      Timestamp of the start trigger
      Specified by:
        `hasEnterTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getEnterTimestamp

          public StpApi.Timestamp getEnterTimestamp()

      Timestamp of the start trigger
      Specified by:
        `getEnterTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### setEnterTimestamp

          public StpApi.CartonContentsReport.Builder setEnterTimestamp(StpApi.Timestamp value)

      Timestamp of the start trigger

    - #### setEnterTimestamp

          public StpApi.CartonContentsReport.Builder setEnterTimestamp(StpApi.Timestamp.Builder builderForValue)

      Timestamp of the start trigger

    - #### mergeEnterTimestamp

          public StpApi.CartonContentsReport.Builder mergeEnterTimestamp(StpApi.Timestamp value)

      Timestamp of the start trigger

    - #### clearEnterTimestamp

          public StpApi.CartonContentsReport.Builder clearEnterTimestamp()

      Timestamp of the start trigger

    - #### getEnterTimestampBuilder

          public StpApi.Timestamp.Builder getEnterTimestampBuilder()

      Timestamp of the start trigger

    - #### getEnterTimestampOrBuilder

          public StpApi.TimestampOrBuilder getEnterTimestampOrBuilder()

      Timestamp of the start trigger
      Specified by:
        `getEnterTimestampOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### hasExitTimestamp

          public boolean hasExitTimestamp()

      Timestamp of the stop trigger
      Specified by:
        `hasExitTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getExitTimestamp

          public StpApi.Timestamp getExitTimestamp()

      Timestamp of the stop trigger
      Specified by:
        `getExitTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### setExitTimestamp

          public StpApi.CartonContentsReport.Builder setExitTimestamp(StpApi.Timestamp value)

      Timestamp of the stop trigger

    - #### setExitTimestamp

          public StpApi.CartonContentsReport.Builder setExitTimestamp(StpApi.Timestamp.Builder builderForValue)

      Timestamp of the stop trigger

    - #### mergeExitTimestamp

          public StpApi.CartonContentsReport.Builder mergeExitTimestamp(StpApi.Timestamp value)

      Timestamp of the stop trigger

    - #### clearExitTimestamp

          public StpApi.CartonContentsReport.Builder clearExitTimestamp()

      Timestamp of the stop trigger

    - #### getExitTimestampBuilder

          public StpApi.Timestamp.Builder getExitTimestampBuilder()

      Timestamp of the stop trigger

    - #### getExitTimestampOrBuilder

          public StpApi.TimestampOrBuilder getExitTimestampOrBuilder()

      Timestamp of the stop trigger
      Specified by:
        `getExitTimestampOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### hasCartonSize

          public boolean hasCartonSize()

      Detected carton size in millimeters
      Specified by:
        `hasCartonSize` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonSize

          public int getCartonSize()

      Detected carton size in millimeters
      Specified by:
        `getCartonSize` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### setCartonSize

          public StpApi.CartonContentsReport.Builder setCartonSize(int value)

      Detected carton size in millimeters

    - #### clearCartonSize

          public StpApi.CartonContentsReport.Builder clearCartonSize()

      Detected carton size in millimeters

    - #### getCartonContentsTagList

          public java.util.List<StpApi.CartonContentsTag> getCartonContentsTagList()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.
      Specified by:
        `getCartonContentsTagList` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsTagCount

          public int getCartonContentsTagCount()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.
      Specified by:
        `getCartonContentsTagCount` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsTag

          public StpApi.CartonContentsTag getCartonContentsTag(int index)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.
      Specified by:
        `getCartonContentsTag` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### setCartonContentsTag

          public StpApi.CartonContentsReport.Builder setCartonContentsTag(int index,
                                                                          StpApi.CartonContentsTag value)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### setCartonContentsTag

          public StpApi.CartonContentsReport.Builder setCartonContentsTag(int index,
                                                                          StpApi.CartonContentsTag.Builder builderForValue)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### addCartonContentsTag

          public StpApi.CartonContentsReport.Builder addCartonContentsTag(StpApi.CartonContentsTag value)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### addCartonContentsTag

          public StpApi.CartonContentsReport.Builder addCartonContentsTag(int index,
                                                                          StpApi.CartonContentsTag value)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### addCartonContentsTag

          public StpApi.CartonContentsReport.Builder addCartonContentsTag(StpApi.CartonContentsTag.Builder builderForValue)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### addCartonContentsTag

          public StpApi.CartonContentsReport.Builder addCartonContentsTag(int index,
                                                                          StpApi.CartonContentsTag.Builder builderForValue)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### addAllCartonContentsTag

          public StpApi.CartonContentsReport.Builder addAllCartonContentsTag(java.lang.Iterable<? extends StpApi.CartonContentsTag> values)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### clearCartonContentsTag

          public StpApi.CartonContentsReport.Builder clearCartonContentsTag()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### removeCartonContentsTag

          public StpApi.CartonContentsReport.Builder removeCartonContentsTag(int index)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### getCartonContentsTagBuilder

          public StpApi.CartonContentsTag.Builder getCartonContentsTagBuilder(int index)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### getCartonContentsTagOrBuilder

          public StpApi.CartonContentsTagOrBuilder getCartonContentsTagOrBuilder(int index)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.
      Specified by:
        `getCartonContentsTagOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsTagOrBuilderList

          public java.util.List<? extends StpApi.CartonContentsTagOrBuilder> getCartonContentsTagOrBuilderList()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.
      Specified by:
        `getCartonContentsTagOrBuilderList` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### addCartonContentsTagBuilder

          public StpApi.CartonContentsTag.Builder addCartonContentsTagBuilder()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### addCartonContentsTagBuilder

          public StpApi.CartonContentsTag.Builder addCartonContentsTagBuilder(int index)

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### getCartonContentsTagBuilderList

          public java.util.List<StpApi.CartonContentsTag.Builder> getCartonContentsTagBuilderList()

      A list of all tags seen for the duration the carton was between the entry and exit sensors.

    - #### getCartonContentsErrorList

          public java.util.List<StpApi.CartonContentsError> getCartonContentsErrorList()

      Specified by:
        `getCartonContentsErrorList` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsErrorCount

          public int getCartonContentsErrorCount()

      Specified by:
        `getCartonContentsErrorCount` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsError

          public StpApi.CartonContentsError getCartonContentsError(int index)

      Specified by:
        `getCartonContentsError` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### setCartonContentsError

          public StpApi.CartonContentsReport.Builder setCartonContentsError(int index,
                                                                            StpApi.CartonContentsError value)

    - #### setCartonContentsError

          public StpApi.CartonContentsReport.Builder setCartonContentsError(int index,
                                                                            StpApi.CartonContentsError.Builder builderForValue)

    - #### addCartonContentsError

          public StpApi.CartonContentsReport.Builder addCartonContentsError(StpApi.CartonContentsError value)

    - #### addCartonContentsError

          public StpApi.CartonContentsReport.Builder addCartonContentsError(int index,
                                                                            StpApi.CartonContentsError value)

    - #### addCartonContentsError

          public StpApi.CartonContentsReport.Builder addCartonContentsError(StpApi.CartonContentsError.Builder builderForValue)

    - #### addCartonContentsError

          public StpApi.CartonContentsReport.Builder addCartonContentsError(int index,
                                                                            StpApi.CartonContentsError.Builder builderForValue)

    - #### addAllCartonContentsError

          public StpApi.CartonContentsReport.Builder addAllCartonContentsError(java.lang.Iterable<? extends StpApi.CartonContentsError> values)

    - #### clearCartonContentsError

          public StpApi.CartonContentsReport.Builder clearCartonContentsError()

    - #### removeCartonContentsError

          public StpApi.CartonContentsReport.Builder removeCartonContentsError(int index)

    - #### getCartonContentsErrorBuilder

          public StpApi.CartonContentsError.Builder getCartonContentsErrorBuilder(int index)

    - #### getCartonContentsErrorOrBuilder

          public StpApi.CartonContentsErrorOrBuilder getCartonContentsErrorOrBuilder(int index)

      Specified by:
        `getCartonContentsErrorOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getCartonContentsErrorOrBuilderList

          public java.util.List<? extends StpApi.CartonContentsErrorOrBuilder> getCartonContentsErrorOrBuilderList()

      Specified by:
        `getCartonContentsErrorOrBuilderList` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### addCartonContentsErrorBuilder

          public StpApi.CartonContentsError.Builder addCartonContentsErrorBuilder()

    - #### addCartonContentsErrorBuilder

          public StpApi.CartonContentsError.Builder addCartonContentsErrorBuilder(int index)

    - #### getCartonContentsErrorBuilderList

          public java.util.List<StpApi.CartonContentsError.Builder> getCartonContentsErrorBuilderList()

    - #### hasStartTimestamp

          public boolean hasStartTimestamp()

      DEPRECATED
      Specified by:
        `hasStartTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getStartTimestamp

          public StpApi.Timestamp getStartTimestamp()

      DEPRECATED
      Specified by:
        `getStartTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### setStartTimestamp

          public StpApi.CartonContentsReport.Builder setStartTimestamp(StpApi.Timestamp value)

      DEPRECATED

    - #### setStartTimestamp

          public StpApi.CartonContentsReport.Builder setStartTimestamp(StpApi.Timestamp.Builder builderForValue)

      DEPRECATED

    - #### mergeStartTimestamp

          public StpApi.CartonContentsReport.Builder mergeStartTimestamp(StpApi.Timestamp value)

      DEPRECATED

    - #### clearStartTimestamp

          public StpApi.CartonContentsReport.Builder clearStartTimestamp()

      DEPRECATED

    - #### getStartTimestampBuilder

          public StpApi.Timestamp.Builder getStartTimestampBuilder()

      DEPRECATED

    - #### getStartTimestampOrBuilder

          public StpApi.TimestampOrBuilder getStartTimestampOrBuilder()

      DEPRECATED
      Specified by:
        `getStartTimestampOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### hasStopTimestamp

          public boolean hasStopTimestamp()

      DEPRECATED
      Specified by:
        `hasStopTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### getStopTimestamp

          public StpApi.Timestamp getStopTimestamp()

      DEPRECATED
      Specified by:
        `getStopTimestamp` in interface `StpApi.CartonContentsReportOrBuilder`

    - #### setStopTimestamp

          public StpApi.CartonContentsReport.Builder setStopTimestamp(StpApi.Timestamp value)

      DEPRECATED

    - #### setStopTimestamp

          public StpApi.CartonContentsReport.Builder setStopTimestamp(StpApi.Timestamp.Builder builderForValue)

      DEPRECATED

    - #### mergeStopTimestamp

          public StpApi.CartonContentsReport.Builder mergeStopTimestamp(StpApi.Timestamp value)

      DEPRECATED

    - #### clearStopTimestamp

          public StpApi.CartonContentsReport.Builder clearStopTimestamp()

      DEPRECATED

    - #### getStopTimestampBuilder

          public StpApi.Timestamp.Builder getStopTimestampBuilder()

      DEPRECATED

    - #### getStopTimestampOrBuilder

          public StpApi.TimestampOrBuilder getStopTimestampOrBuilder()

      DEPRECATED
      Specified by:
        `getStopTimestampOrBuilder` in interface `StpApi.CartonContentsReportOrBuilder`